## libxmlb 0.1.15

=== meson_options.txt ===
option('gtkdoc', type : 'boolean', value : true, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('stemmer', type : 'boolean', value : false, description : 'enable stemmer support')

## libxmlb 0.1.6

=== debian/changelog ===
libxmlb (0.1.6-2) unstable; urgency=medium

  * Backport two patches that should fix compilation on some Debian port
    architectures.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 08 Feb 2019 12:24:39 -0600

libxmlb (0.1.6-1) unstable; urgency=medium

  * Initial release. Closes: #920777

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 28 Jan 2019 19:40:37 -0600

=== debian/control ===
Source: libxmlb
Section: libs
Priority: optional
Maintainer: Debian EFI team <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <mario.limonciello@dell.com>
Build-Depends: debhelper (>=9),
	       gir1.2-glib-2.0,
	       gobject-introspection,
	       gtk-doc-tools,
	       libglib2.0-dev,
	       libgirepository1.0-dev,
	       meson,
	       shared-mime-info,
	       uuid-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/hughsie/libxmlb
Vcs-Git: https://salsa.debian.org/efi-team/libxmlb.git
Vcs-Browser: https://salsa.debian.org/efi-team/libxmlb

Package: gir1.2-xmlb-1.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libxmlb
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libxmlb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: development files for libxmlb
 This package provides development libraryes for libxmlb.
 .
 The libxmlb library takes XML source, and
 converts it to a structured binary representation with a deduplicated string
 table -- where the strings have the NULs included.
 .
 This allows an application to mmap the binary XML file, do an XPath query and
 return some strings without actually parsing the entire document. This is all
 done using (almost) zero allocations and no actual copying of the binary data.

Package: libxmlb1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Binary XML library
 The libxmlb library takes XML source, and
 converts it to a structured binary representation with a deduplicated string
 table -- where the strings have the NULs included.
 .
 This allows an application to mmap the binary XML file, do an XPath query and
 return some strings without actually parsing the entire document. This is all
 done using (almost) zero allocations and no actual copying of the binary data.

## libxmlb 0.1.8

=== debian/changelog ===
libxmlb (0.1.8-1~ubuntu18.04.2) bionic-security; urgency=medium

  * No changes rebuild

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 09 Jun 2020 14:21:18 -0300

libxmlb (0.1.8-1~ubuntu18.04.1) bionic; urgency=medium

  * Upload of libxmlb to bionic, it's needed to update fwupd to the 
    current upstream version (lp: #1820768)
  * debian/patches/old_meson_build.patch:
    - don't require a newer-than-bionic meson version to build,
      thanks Mario Limonciello

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 May 2019 16:50:27 +0200

libxmlb (0.1.8-1) unstable; urgency=medium

  * New upstream version (0.1.8)
  * Drop all patches: upstream

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 26 Mar 2019 15:45:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libxmlb
 Section: libs
 Priority: optional
-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>

## libxmlb 0.1.14

=== debian/changelog ===
libxmlb (0.1.14-1) unstable; urgency=medium

  * New upstream version (0.1.14)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 03 Dec 2019 10:22:05 -0600

libxmlb (0.1.13-2) unstable; urgency=medium

  * Add debian/symbols (Closes: #945204)

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 21 Nov 2019 13:29:23 -0600

libxmlb (0.1.13-1) unstable; urgency=medium

  * New upstream version (0.1.13)

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 17 Oct 2019 06:31:23 -0500

## libxmlb 0.1.15

=== debian/changelog ===
libxmlb (0.1.15-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compatibility to 12
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Add libglib2.0-doc to the BD to fix the links between the
    gtk-doc files
  * debian/libxmlb-dev.install: Install the .gir file and add the proper
    dependencies
  * debian/rules: Run the gir sequence
  * Ship the installed-tests in new libxmlb-tests package
  * debian/control: Build gir1.2-xmlb-1.0 on all architectures
  * d/p/tests-Make-the-build-reproducible.patch: Make the installed tests
    reproductible
  * debian/libxmlb1.symbols: Add the Build-Depends-Package field
  * debian/control: Drop uuid-dev BD, this is not needed since 0.1.14
  * debian/control: Fix the short description of gir1.2-xmlb-1.0
    (Closes: #921833)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Apr 2020 19:39:22 +0200

libxmlb (0.1.15-1) unstable; urgency=medium

  * New upstream version (0.1.15)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 04 Mar 2020 11:51:10 -0600

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: libxmlb
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper-compat (=12),
 	       gir1.2-glib-2.0,
 	       gobject-introspection,
 	       gtk-doc-tools,
 	       libglib2.0-dev,
+	       libglib2.0-doc,
 	       libgirepository1.0-dev,
-	       meson,
+	       meson (>= 0.52.0),
 	       shared-mime-info,
-	       uuid-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/hughsie/libxmlb
 Vcs-Git: https://salsa.debian.org/efi-team/libxmlb.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libxmlb
 
 Package: gir1.2-xmlb-1.0
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends}
 Section: introspection
 Description: GObject introspection data for libxmlb
- This package provides the introspection data for libfwupd.
+ This package provides the introspection data for libxmlb.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
@@ -37,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, gir1.2-xmlb-1.0 (= ${binary:Version})
 Description: development files for libxmlb
  This package provides development libraryes for libxmlb.
  .
@@ -63,3 +62,20 @@
  This allows an application to mmap the binary XML file, do an XPath query and
  return some strings without actually parsing the entire document. This is all
  done using (almost) zero allocations and no actual copying of the binary data.
+
+Package: libxmlb-tests
+Architecture: any
+Depends: libxmlb1 (= ${binary:Version}),
+         shared-mime-info,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Installed tests for libxmlb1
+ The libxmlb library takes XML source, and
+ converts it to a structured binary representation with a deduplicated string
+ table -- where the strings have the NULs included.
+ .
+ This allows an application to mmap the binary XML file, do an XPath query and
+ return some strings without actually parsing the entire document. This is all
+ done using (almost) zero allocations and no actual copying of the binary data.
+ .
+ This package contains the installed tests for libxmlb1.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_install-arch:
	mv debian/tmp/usr/libexec/xb-tool debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -a

=== debian/tests/control ===
Tests: installed-tests
Depends: gnome-desktop-testing, libxmlb-tests

## libxmlb 0.3.2

=== debian/changelog ===
libxmlb (0.3.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Upload to unstable
  * New upstream release: 0.3.2
  * d/copyright: Use secure URL
  * Update symbols file

  [ Will Thompson ]
  * debian/control: fix typo

 -- Matthias Klumpp <mak@debian.org>  Sat, 21 Aug 2021 19:05:36 +0200

libxmlb (0.2.1-1) experimental; urgency=medium

  * New upstream release: 0.2.1
  * Target experimental, as we are in transition freeze and the
    previous 0.2.0 release was never uploaded and would trigger
    a transition.
  * Add gbp.conf
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Fri, 22 Jan 2021 18:06:10 +0100

libxmlb (0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * drop existing patches, now upstream
  * Backport new patches that fix ABI mistake in 0.2.0
  * Update packages for soname bump that broke ABI

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 18 Aug 2020 14:31:01 -0500

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
-Build-Depends: debhelper-compat (=12),
-	       gir1.2-glib-2.0,
-	       gobject-introspection,
-	       gtk-doc-tools,
-	       libglib2.0-dev,
-	       libglib2.0-doc,
-	       libgirepository1.0-dev,
-	       meson (>= 0.52.0),
-	       shared-mime-info,
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               gir1.2-glib-2.0,
+               gobject-introspection,
+               gtk-doc-tools,
+               libgirepository1.0-dev,
+               libglib2.0-dev,
+               libglib2.0-doc,
+               meson (>= 0.52.0),
+               shared-mime-info
+Standards-Version: 4.5.1
 Homepage: https://github.com/hughsie/libxmlb
 Vcs-Git: https://salsa.debian.org/efi-team/libxmlb.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libxmlb
 
-Package: gir1.2-xmlb-1.0
+Package: gir1.2-xmlb-2.0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Section: introspection
 Description: GObject introspection data for libxmlb
  This package provides the introspection data for libxmlb.
@@ -36,9 +36,11 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, gir1.2-xmlb-1.0 (= ${binary:Version})
+Depends: gir1.2-xmlb-2.0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: development files for libxmlb
- This package provides development libraryes for libxmlb.
+ This package provides development libraries for libxmlb.
  .
  The libxmlb library takes XML source, and
  converts it to a structured binary representation with a deduplicated string
@@ -48,12 +50,12 @@
  return some strings without actually parsing the entire document. This is all
  done using (almost) zero allocations and no actual copying of the binary data.
 
-Package: libxmlb1
-Section: libs
+Package: libxmlb2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Binary XML library
  The libxmlb library takes XML source, and
  converts it to a structured binary representation with a deduplicated string
@@ -65,11 +67,11 @@
 
 Package: libxmlb-tests
 Architecture: any
-Depends: libxmlb1 (= ${binary:Version}),
+Depends: libxmlb2 (= ${binary:Version}),
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Installed tests for libxmlb1
+Description: Installed tests for libxmlb2
  The libxmlb library takes XML source, and
  converts it to a structured binary representation with a deduplicated string
  table -- where the strings have the NULs included.

## libxmlb 0.3.6

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
 option('tests', type : 'boolean', value : true, description : 'enable tests')
 option('stemmer', type : 'boolean', value : false, description : 'enable stemmer support')
+option('cli', type : 'boolean', value : true, description : 'build and install the xb-tool CLI')

=== debian/changelog ===
libxmlb (0.3.6-2ubuntu0.1~20.04.1) focal; urgency=high

  * Fix double-free bug.  LP: #1988440.

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 06 Sep 2022 18:47:07 +0200

libxmlb (0.3.6-2build1~20.04.1) focal; urgency=medium

  * Backport to focal (no changes).
  * Upgrade to support EM120/160 firmware update (LP: #1980334)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 02 Aug 2022 07:04:04 +0000

libxmlb (0.3.6-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:15:30 +0100

libxmlb (0.3.6-2) unstable; urgency=medium

  * Add dependency on liblzma-dev to dev package
    - This fulfills the private pkgconf requirement on liblzma

 -- Matthias Klumpp <mak@debian.org>  Thu, 16 Dec 2021 22:35:28 +0100

libxmlb (0.3.6-1) unstable; urgency=medium

  * New upstream bugfix release: 0.3.6

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Dec 2021 14:42:14 +0100

libxmlb (0.3.5-1) unstable; urgency=medium

  * New upstream release: 0.3.5
  * Bump standards version (no changes needed)
  * Add build dependency on liblzma
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Dec 2021 22:38:52 +0100

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libxmlb-$1\.tar\.gz/ \
https://github.com/hughsie/libxmlb/tags .*/v?(\d\S*)\.tar\.gz

## libxmlb 0.3.8

=== debian/changelog ===
libxmlb (0.3.8-1) unstable; urgency=medium

  * New upstream release: 0.3.8

 -- Matthias Klumpp <mak@debian.org>  Sun, 10 Apr 2022 21:46:50 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                libgirepository1.0-dev,
                libglib2.0-dev,
                libglib2.0-doc,
+               liblzma-dev,
                meson (>= 0.52.0),
                shared-mime-info
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/hughsie/libxmlb
 Vcs-Git: https://salsa.debian.org/efi-team/libxmlb.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libxmlb
@@ -37,6 +38,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gir1.2-xmlb-2.0 (= ${binary:Version}),
+         liblzma-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for libxmlb

## libxmlb 0.3.10

=== debian/changelog ===
libxmlb (0.3.10-2) unstable; urgency=medium

  * No-change upload to trigger a full rebuild

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2022 23:54:36 +0100

libxmlb (0.3.10-1) unstable; urgency=medium

  * New upstream release: 0.3.10
    - Resolves double-free corruption (Closes: #1019262)
    - xb-tool has been moved to PATH
    - Various other crash fixes
  * Bump standards version: No changes needed
  * Add new package for xb-tool, which is now in PATH

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Dec 2022 18:16:38 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                liblzma-dev,
                meson (>= 0.52.0),
                shared-mime-info
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/hughsie/libxmlb
 Vcs-Git: https://salsa.debian.org/efi-team/libxmlb.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libxmlb
@@ -41,7 +41,7 @@
          liblzma-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: development files for libxmlb
+Description: Development files for libxmlb
  This package provides development libraries for libxmlb.
  .
  The libxmlb library takes XML source, and
@@ -67,6 +67,23 @@
  return some strings without actually parsing the entire document. This is all
  done using (almost) zero allocations and no actual copying of the binary data.
 
+Package: libxmlb-utils
+Architecture: any
+Depends: libxmlb2 (= ${binary:Version}),
+         shared-mime-info,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Binary XML library - Command-line utility
+ The libxmlb library takes XML source, and
+ converts it to a structured binary representation with a deduplicated string
+ table -- where the strings have the NULs included.
+ .
+ This allows an application to mmap the binary XML file, do an XPath query and
+ return some strings without actually parsing the entire document. This is all
+ done using (almost) zero allocations and no actual copying of the binary data.
+ .
+ This package contains the `xb-tool` command-line utility.
+
 Package: libxmlb-tests
 Architecture: any
 Depends: libxmlb2 (= ${binary:Version}),
@@ -82,4 +99,4 @@
  return some strings without actually parsing the entire document. This is all
  done using (almost) zero allocations and no actual copying of the binary data.
  .
- This package contains the installed tests for libxmlb1.
+ This package contains the installed tests for libxmlb.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

## libxmlb 0.3.14

=== debian/changelog ===
libxmlb (0.3.14-2) unstable; urgency=medium

  * Fix autopkgtest by setting the right data location

 -- Matthias Klumpp <mak@debian.org>  Fri, 01 Sep 2023 10:42:10 +0200

libxmlb (0.3.14-1) unstable; urgency=medium

  * New upstream bugfix release: 0.3.14

 -- Matthias Klumpp <mak@debian.org>  Thu, 24 Aug 2023 22:44:50 +0200

libxmlb (0.3.13-1) unstable; urgency=medium

  * New upstream release: 0.3.13
  * Add dependency on libzstd
  * Mark rules as not requiring root

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Aug 2023 22:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,11 @@
                libglib2.0-dev,
                libglib2.0-doc,
                liblzma-dev,
+               libzstd-dev,
                meson (>= 0.52.0),
                shared-mime-info
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/hughsie/libxmlb
 Vcs-Git: https://salsa.debian.org/efi-team/libxmlb.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libxmlb

## libxmlb 0.3.15

=== debian/changelog ===
libxmlb (0.3.15-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add Build-Depends: dh-sequence-gir
  * Add Build-Depends-Package

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Feb 2024 18:56:44 -0500

## libxmlb 0.3.18

=== debian/changelog ===
libxmlb (0.3.18-1) unstable; urgency=medium

  * New upstream version (0.3.18)
  * Drop patch for zstd decompression issue, upstream.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 09 Apr 2024 15:52:31 -0500

libxmlb (0.3.17-2) unstable; urgency=medium

  * Backport a patch from upstream to fix decompressing some zstd metadata.
    This fixes accessing some remotes in fwupd.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 09 Apr 2024 14:23:10 -0500

libxmlb (0.3.17-1) unstable; urgency=medium

  * New upstream release

 -- Mario Limonciello <superm1@gmail.com>  Fri, 05 Apr 2024 06:31:05 -0500

libxmlb (0.3.16-1) unstable; urgency=medium

  * New upstream release

 -- Mario Limonciello <superm1@gmail.com>  Wed, 03 Apr 2024 09:10:32 -0500

## libxmlb 0.3.19

=== debian/changelog ===
libxmlb (0.3.19-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <superm1@gmail.com>  Wed, 21 Aug 2024 14:09:17 -0500

## libxmlb 0.3.21

=== debian/changelog ===
libxmlb (0.3.21-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <superm1@gmail.com>  Thu, 17 Oct 2024 10:23:17 -0500

libxmlb (0.3.20-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <superm1@gmail.com>  Mon, 14 Oct 2024 09:20:56 -0500

## libxmlb 0.3.22

=== debian/changelog ===
libxmlb (0.3.22-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <superm1@gmail.com>  Wed, 19 Mar 2025 10:11:39 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                gir1.2-glib-2.0,
-               gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,

## libxmlb 0.3.23

=== debian/changelog ===
libxmlb (0.3.23-1) unstable; urgency=medium

  * New upstream version
  * Update my email
  * Add salsa-ci.yml
  * Update standards version

 -- Mario Limonciello <superm1@debian.org>  Mon, 18 Aug 2025 15:27:53 -0500

## libxmlb 0.3.24

=== meson_options.txt ===
option('gtkdoc',type : 'boolean', value : true, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('stemmer', type : 'boolean', value : false, description : 'enable stemmer support')
option('cli', type : 'boolean', value : true, description : 'build and install the xb-tool CLI')
option('lzma',
  type: 'feature',
  description : 'enable lzma (xz) support',
)
option('zstd',
  type: 'feature',
  description: 'enable zstd support',
  deprecated: {
    'true': 'enabled',
    'false': 'disabled',
  },
)

=== debian/changelog ===
libxmlb (0.3.24-2) unstable; urgency=medium

  * d/control: changes for build-dependency on libgirepository1.0-dev
    (Closes: #1118892)

 -- Mario Limonciello <superm1@debian.org>  Sat, 25 Oct 2025 13:27:00 -0500

libxmlb (0.3.24-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <superm1@debian.org>  Wed, 10 Sep 2025 13:05:10 -0500

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
-           Mario Limonciello <mario.limonciello@dell.com>
+           Mario Limonciello <superm1@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gir1.2-glib-2.0,
                gtk-doc-tools,
-               libgirepository1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev,
                libglib2.0-doc,
                liblzma-dev,
                libzstd-dev,
                meson (>= 0.52.0),
                shared-mime-info
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: no
 Homepage: https://github.com/hughsie/libxmlb
 Vcs-Git: https://salsa.debian.org/efi-team/libxmlb.git
@@ -27,6 +29,7 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Section: introspection
 Description: GObject introspection data for libxmlb
  This package provides the introspection data for libxmlb.
@@ -41,8 +44,10 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gir1.2-xmlb-2.0 (= ${binary:Version}),
          liblzma-dev,
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ${gir:Provides}
 Description: Development files for libxmlb
  This package provides development libraries for libxmlb.
  .

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libxmlb-$1\.tar\.gz/ \
https://github.com/hughsie/libxmlb/tags .*/v?(\d\S*)\.tar\.gz
